jQuery UI 1.9.0

This is the place to report bugs and get support. When posting in this forum, please always provide as much detail as possible.

Please do not report problems with a custom build or custom code in this forum. If you are producing your own build from the source code and have problems or questions, ask in the developer forum, do not report it as a bug.

This is the place to report bugs and get support

When posting in this forum, please try to provide as many relevant details as possible. Particularly the following:

  • What operating system were you running when the bug appeared?
  • What database platform is your site using?
  • What version of mojoPortal are you running?
  • What version of .NET do you use?
  • What steps are necessary to reproduce the issue? Compare expected results vs actual results.
Please do not report problems with a custom build or custom code in this forum. If you are producing your own build from the source code and have problems or questions, ask in the developer forum.
This thread is closed to new posts. You must sign in to post in the forums.
10/17/2012 6:13:42 PM
Gravatar
Total Posts 212
Community Expert

mojoPortal Hosting & Design @ i7MEDIA!

jQuery UI 1.9.0

Hey Joe,

This isn't really a bug in mojoPortal, but I wanted to bring to your attention that the jQuery UI just released a new version and it doesn't quite work with mojoPortal anymore.

Thanks,
-Isaac

10/17/2012 6:44:41 PM
Gravatar
Total Posts 91

mojoPortal Hosting & Design @ i7MEDIA!

Re: jQuery UI 1.9.0

To elaborate on this subject, the current version of jQuery UI is v1.8.16, whereas jQuery has just released v1.9.0.  New themes generated by the Themeroller no longer work with mojoPortal because of class changes amongst other things I have yet to investigate.

Hope this helps resolve the issue,

-Elijah

10/18/2012 3:41:01 PM
Gravatar
Total Posts 18439

Re: jQuery UI 1.9.0

I'll have to look into this for the next release. With just a quick test changing the version to 1.9.0 for jqueryui in web.config it seems mostly fine but it did break the time picker in the blog. Loading a theme from the google cdn it looks ok in general though. I'll have to see what differences there are for self hosting custom themeroller themes.

Mainly I cannot update to it unless/until I can resolve things it breaks. I'm not sure what it will take to fix the time picker, I wish they had one built in to jqueryui but they don't so I'll have to try to fix the custom plugin. I'll need to look around carefully for any other features that it may break as well.

Best,

Joe

10/18/2012 5:20:26 PM
Gravatar
Total Posts 212
Community Expert

mojoPortal Hosting & Design @ i7MEDIA!

Re: jQuery UI 1.9.0

When I did it, it broke the tabs under Administration > Site settings.

Not sure what causes the issue, but the tabs weren't displayed properly and all of the content from all the tabs was on the first tab. If you're not experiencing this issue I'll have to be extra careful and make sure it's not got something to do with the way I installed the theme.

Thanks,
-Isaac

10/22/2012 2:18:07 PM
Gravatar
Total Posts 18439

Re: jQuery UI 1.9.0

A little update on this. I'm pretty sure you did something wrong in configuring it for local files or it would have worked. Maybe the script path wasn't correct.

I've found it works just fine using the latest versions of both jQuery and jQueryUI from the google cdn.

It turns out the problem I'm seeing with the time picker in the blog only happens in Artisteer 4 skins. Using other skins it works just fine.

So now I need to figure out exactly what it is on the Artisteer 4 skins causing this problem because it even happens with the currently configured older versions of jQuery and jQueryUI. It seems to be something that affects the jqueryui slider used in the time picker causes a script error.

Best,

Joe

10/22/2012 2:54:20 PM
Gravatar
Total Posts 18439

Re: jQuery UI 1.9.0

I've logged the Artisteer 4 problem and a workaround for it on this thread.

Best,

Joe

10/22/2012 6:55:18 PM
Gravatar
Total Posts 212
Community Expert

mojoPortal Hosting & Design @ i7MEDIA!

Re: jQuery UI 1.9.0

Hey Joe,

Thanks for the data. I'm still running into the same issue but I haven't tracked it down yet. I'll get back to you when I have more information to share.

Thanks,
-Isaac

10/25/2012 2:44:22 AM
Gravatar
Total Posts 212
Community Expert

mojoPortal Hosting & Design @ i7MEDIA!

Re: jQuery UI 1.9.0

Hey Joe,

We've done some testing and it seems that if we call the new version of the jQuery UI script from the google cdn like you said, everything works fine. Initially this post was intended just to inform you that the new version of the UI is there and that if you use the UI Themeroller to create a UI theme and use it, it doesn't work with mojoPortal.

This makes perfect sense to me now since I realized mojoPortal is still using an old version the UI script (1.8.16). Do you plan to upgrade mojo to run the UI 1.9.0 any time in the future? I regularly use the themeroller to produce themes for skins I build, so it will be important information for me because if not, I'll need to disable the old script and call the new one myself.

Sorry I wasn't clear initially. When I said jQuery UI I meant the UI themes, not the script itself.

Thanks,
-Isaac

10/25/2012 8:21:27 AM
Gravatar
Total Posts 18439

Re: jQuery UI 1.9.0

Hi Isaac,

You would definitely always want to use the same version for the script and the css. There is a setting in Web.config for the version that can be copied to user.config to override it and this would be a good idea if you are self hosting the css but want to load the js from the google cdn.

Most likely I will update the Web.config to the latest versions for the next release as long as I don't find anything broken by the newer version.

Best,

Joe

You must sign in to post in the forums. This thread is closed to new posts.